summaryrefslogtreecommitdiffstats
path: root/.github/scripts/run-updater-check.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-x.github/scripts/run-updater-check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.github/scripts/run-updater-check.sh b/.github/scripts/run-updater-check.sh
new file mode 100755
index 0000000..31ab71d
--- /dev/null
+++ b/.github/scripts/run-updater-check.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+echo ">>> Installing CI support packages..."
+/netdata/.github/scripts/ci-support-pkgs.sh
+echo ">>> Installing Netdata..."
+/netdata/packaging/installer/kickstart.sh --dont-wait --build-only --disable-telemetry || exit 1
+echo "::group::Environment File Contents"
+cat /etc/netdata/.environment
+echo "::endgroup::"
+echo ">>> Updating Netdata..."
+export NETDATA_NIGHTLIES_BASEURL="http://localhost:8080/artifacts/" # Pull the tarball from the local web server.
+/netdata/packaging/installer/netdata-updater.sh --not-running-from-cron --no-updater-self-update || exit 1
+echo ">>> Checking if update was successful..."
+/netdata/.github/scripts/check-updater.sh || exit 1